      program first
c
c * Declaration section
      implicit none  ! Need to declare all variables
      real x,y
c
c * Executable section
      write(*,*)'My first program'
      write(*,*)'Enter a number: '
      read(*,*)x

      y= x**2 +4*x -12

c * Free format output
c   In Mardling, print is used instead of write
c   i.e. write(*,*) == print *,
      write(*,*)'x=',x,' y= ',y

c * User-specified formatted output
      write(*,10)x,y
10    format('x=',F8.4,2X,'y=',F9.5)
      end

